ClarisWksDocumentInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
ClarisWksDocumentInternal::State Struct Reference

Internal: the state of a ClarisWksDocument. More...

## Public Member Functions
| State ()
| constructor More...
ClarisWksStruct::DSET::Position | getZoneType (int id) const
| returns a zone's type More...

## Public Attributes
bool | m_pageSpanSet
| a flag to know if pageSpan is filled More...
int | m_numPages
| the number of pages (computed) More...
MWAWVec2i | m_pages
| the number of pages find in the header ( if known ) More...
bool | m_pagesVerified
| true if the number pages of pages has been verified More...
librevenge::RVNGPropertyList | m_metaData
| the metadata More...
int | m_headerId
| the header zone if known More...
int | m_footerId
| the footer zone if known More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...
int | m_columns
| the number of columns More...
std::vector< int > | m_columnsWidth
| the columns witdh in Points More...
std::vector< int > | m_columnsSep
| the columns separator in Points More...
std::map< int, shared_ptr< ClarisWksStruct::DSET > > | m_zonesMap
| the map of zone More...
std::map< int, ClarisWksStruct::DSET::Position > | m_zonesTypeMap
| the type of each zone More...
std::vector< int > | m_rootZonesList
| the list of root zones More...
std::vector< int > | m_hFZonesList
| the list of header/footer group More...
std::set< MWAWVec2i > | m_zonesSentSet
| a stack of send zone (id,anchor) used to avoid unsolved potential loop More...

## Detailed Description

Internal: the state of a ClarisWksDocument.

## Constructor & Destructor Documentation

## § State()

ClarisWksDocumentInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## § getZoneType()

ClarisWksStruct::DSET::Position ClarisWksDocumentInternal::State::getZoneType | ( | int | id | ) | const
| inline

returns a zone's type

## Member Data Documentation

## § m_columns

int ClarisWksDocumentInternal::State::m_columns

the number of columns

## § m_columnsSep

std::vector<int> ClarisWksDocumentInternal::State::m_columnsSep

the columns separator in Points

## § m_columnsWidth

std::vector<int> ClarisWksDocumentInternal::State::m_columnsWidth

the columns witdh in Points

## § m_footerHeight

int ClarisWksDocumentInternal::State::m_footerHeight

the footer height if known

## § m_footerId

int ClarisWksDocumentInternal::State::m_footerId

the footer zone if known

## § m_headerHeight

int ClarisWksDocumentInternal::State::m_headerHeight

the header height if known

## § m_headerId

int ClarisWksDocumentInternal::State::m_headerId

the header zone if known

## § m_hFZonesList

std::vector<int> ClarisWksDocumentInternal::State::m_hFZonesList

the list of header/footer group

## § m_metaData

librevenge::RVNGPropertyList ClarisWksDocumentInternal::State::m_metaData

the metadata

## § m_numPages

int ClarisWksDocumentInternal::State::m_numPages

the number of pages (computed)

## § m_pages

MWAWVec2i ClarisWksDocumentInternal::State::m_pages

the number of pages find in the header ( if known )

## § m_pageSpanSet

bool ClarisWksDocumentInternal::State::m_pageSpanSet

a flag to know if pageSpan is filled

## § m_pagesVerified

bool ClarisWksDocumentInternal::State::m_pagesVerified

true if the number pages of pages has been verified

## § m_rootZonesList

std::vector<int> ClarisWksDocumentInternal::State::m_rootZonesList

the list of root zones

## § m_zonesMap

std::map<int, shared_ptr<ClarisWksStruct::DSET> > ClarisWksDocumentInternal::State::m_zonesMap

the map of zone

## § m_zonesSentSet

std::set<MWAWVec2i> ClarisWksDocumentInternal::State::m_zonesSentSet

a stack of send zone (id,anchor) used to avoid unsolved potential loop

## § m_zonesTypeMap

std::map<int, ClarisWksStruct::DSET::Position> ClarisWksDocumentInternal::State::m_zonesTypeMap

the type of each zone

Referenced by getZoneType().

The documentation for this struct was generated from the following file:

- ClarisWksDocument.cxx